%define upstream_name    Hash-NoRef
%define upstream_version 0.03

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 11

Summary:    A HASH that store values without increase the reference count (weak references)
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Hash/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl-devel

%description
This HASH will store it's values without increase the reference count. This
can be used to store objects but without interfere in the DESTROY
mechanism, since the reference in this HASH won't count.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
%makeinstall_std

%files
%doc Changes README
%{_mandir}/man3/*
%perl_vendorlib/*




%changelog
* Sun Jun 19 2016 pterjan <pterjan> 0.30.0-11.mga6
+ Revision: 1028200
- Rebuild for perl 5.22.2

* Fri Feb 12 2016 umeabot <umeabot> 0.30.0-10.mga6
+ Revision: 957459
- Mageia 6 Mass Rebuild

* Thu Jun 25 2015 sander85 <sander85> 0.30.0-9.mga6
+ Revision: 843294
- Rebuild for perl 5.22

* Wed Oct 15 2014 umeabot <umeabot> 0.30.0-8.mga5
+ Revision: 739971
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.30.0-7.mga5
+ Revision: 685030
- Mageia 5 Mass Rebuild

* Tue Jun 03 2014 pterjan <pterjan> 0.30.0-6.mga5
+ Revision: 631277
- Rebuild for perl 5.20

* Sat Oct 19 2013 umeabot <umeabot> 0.30.0-5.mga4
+ Revision: 524106
- Mageia 4 Mass Rebuild

* Wed May 29 2013 tv <tv> 0.30.0-4.mga4
+ Revision: 430080
- rebuild for new perl

* Sun Jan 13 2013 umeabot <umeabot> 0.30.0-3.mga3
+ Revision: 368390
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed May 30 2012 jquelin <jquelin> 0.30.0-2.mga3
+ Revision: 250754
- rebuild for perl 5.16

* Thu Sep 15 2011 jquelin <jquelin> 0.30.0-1.mga2
+ Revision: 143981
- imported package perl-Hash-NoRef


* Thu Sep 15 2011 cpan2dist 0.03-1mga
- initial mageia release, generated with cpan2dist
